Page MenuHomePhabricator

[libcxxabi] Enable testing for static libc++abi
ClosedPublic

Authored by bcraig on Jan 25 2016, 11:13 AM.

Details

Summary

This change leverages framework changes made in libcxx. See those changes for
more details. (http://reviews.llvm.org/D16544)

Some Mac specific logic for testing against libc++abi had to be moved from
libcxxabi's config.py, as it was overriding choices made in libcxx's config.py.
That logic is now in libcxx's target_info.py.

Diff Detail

Event Timeline

bcraig updated this revision to Diff 45888.Jan 25 2016, 11:13 AM
bcraig retitled this revision from to [libcxxabi] Enable testing for static libc++abi.
bcraig updated this object.
bcraig added reviewers: mclow.lists, jroelofs, EricWF.
bcraig added a subscriber: cfe-commits.
EricWF added inline comments.Feb 11 2016, 9:34 AM
test/CMakeLists.txt
10

This seems wrong for out of tree builds because LIBCXX_ENABLE_SHARED will not be defined and will result in the default "False".

bcraig updated this revision to Diff 48112.Feb 16 2016, 2:40 PM

Addressed EricWF's feedback.

bcraig marked an inline comment as done.Feb 16 2016, 2:43 PM
EricWF accepted this revision.Apr 15 2016, 8:54 PM
EricWF edited edge metadata.

This part LGTM. Sorry about the delay.

CMakeLists.txt
188

This variable should still probably be re-set even if it's given on the command line. By doing that you update the type and help text for the variable in the cache.

This revision is now accepted and ready to land.Apr 15 2016, 8:54 PM
bcraig updated this revision to Diff 54110.Apr 18 2016, 1:43 PM
bcraig edited edge metadata.
bcraig marked an inline comment as done.

EricWF's feedback. I plan on submitting this tomorrow morning.

bcraig closed this revision.Apr 19 2016, 5:55 AM

r266729

rmaprath added a subscriber: rmaprath.EditedMay 31 2016, 1:58 PM

Hmmm, it looks like part of this patch didn't go in? I cannot see the changes in the libcxxabi/CMakeLists.txt file in the repo.

I was hoping this would enable me to run the libc++abi tests on in-tree static builds, but I still can't.

Perhaps you forgot to commit that file?

Hmmm, it looks like part of this patch didn't go in? I cannot see the changes in the libcxxabi/CMakeLists.txt file in the repo.

I was hoping this would enable me to run the libc++abi tests on in-tree static builds, but I still can't.

Perhaps you forgot to commit that file?

Hrm, you're right, it didn't go in. I'll get it in tomorrow morning.

bcraig added a comment.Jun 1 2016, 5:57 AM

Perhaps you forgot to commit that file?

Hrm, you're right, it didn't go in. I'll get it in tomorrow morning.

Should be in now. r271388.

Works great. Thanks!